# Class InvalidParameterCardinalityException

Object
Throwable
Exception
RuntimeException
IllegalStateException
InvalidParameterCardinalityException

All Implemented Interfaces:
  `Serializable`

public class InvalidParameterCardinalityException extends IllegalStateException
Thrown by `ParameterValueGroup` if adding or removing a parameter value would result in more or less parameters than the expected range. The [minimum … maximum] range is defined by the `ParameterDescriptorGroup` instance associated with the `ParameterValueGroup`.

This exception may be thrown directly by the `ParameterValueGroup​.addGroup(String)` method, or indirectly during the add or remove operations on the list returned by `ParameterValueGroup​.values()`.

Since:
  2.0
See Also:
  - `ParameterValueGroup​.values()`
  - `ParameterValueGroup​.addGroup(String)`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvalidParameterCardinalityException(String message, String parameterName)`
  Creates an exception with the specified message and parameter name.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getParameterName()`
  Returns the name of the parameter with invalid cardinality.

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InvalidParameterCardinalityException

    public InvalidParameterCardinalityException(String message, String parameterName)
    Creates an exception with the specified message and parameter name.
    Parameters:
      `message` - The detail message. The detail message is saved for later retrieval by the `Throwable​.getMessage()` method.
      `parameterName` - The name of the parameter with invalid cardinality.

- ## Method Details

  - ### getParameterName

    public String getParameterName()
    Returns the name of the parameter with invalid cardinality.
    Returns:
      The name of the parameter with invalid cardinality.